Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1111433 (synthclone)

Summary: Review Request: synthclone - A tool to create sample-based instruments
Product: [Fedora] Fedora Reporter: Brian Monroe <briancmonroe>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: briancmonroe, i, kevin, me, package-review, rdieter
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 177841, 928937, 1260313    

Description Brian Monroe 2014-06-20 03:25:34 UTC
Spec URL: https://drive.google.com/file/d/0Bx2pmSYIzCfzRExIWkFpT2VWeXM/edit?usp=sharing

SRPM URL: https://drive.google.com/file/d/0Bx2pmSYIzCfzcmYxd3l3OFNJMWs/edit?usp=sharing

Description: synthclone is a tool that allows you to create sample-based instruments. You can create sample-based instruments by sending MIDI messages to your MIDI-capable gear or software that instructs an instrument to emit sounds for a series of notes, velocities, controls, and aftertouch values, or by recording your own samples. After the sampling is done, you can apply effects to your samples, and finally save this data as a sample-based instrument that can be loaded by sampler software.

Fedora Account System Username: paradoxguitarist

==Extra Info==
This is my first package and I need a sponsor. I'm hoping to help out with the Fedora-Jam packages since there's a need for more package maintainers there. 

Successful Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7060400

Comment 1 Brian Monroe 2014-06-20 22:57:32 UTC
Just a quick note... looks like I had the spec and SRPM links backwards. Sorry about that.

Comment 2 Brian Monroe 2014-06-21 00:01:59 UTC
I wanted to cover why I'm using ./configure instead of %configure in the spec file is because it's using qmake and not autoconf.  I know it throws an warning during the build.

Comment 3 Pete Travis 2015-04-28 07:44:21 UTC
Hey Brian, it's been a while - could you rebuild the SRPM for current rawhide, please?  Uploading to your fedorahosted space[0] or similar would be better; tools like `fedora-review` can grab the files directly that way.

[0] https://fedoraproject.org/wiki/Infrastructure/fedorapeople.org

Let's try to find macros and such too, the ./configure doesn't seem ideal at first glance. /usr/lib/rpm/macros.d/macros.qt4 might have some useful things, although looking at existing packages built using qmake is a good idea, I'm not sure of the best practices yet.

Use one line for each Requires: .  It seems excessive, but it's easier to maintain the package or view diffs of changes to the spec file that way.  You can add requires, comment them out, etc a bit more quickly.

Comment 4 Kevin Kofler 2015-04-28 14:52:55 UTC
You may want to skip the ./configure wrapper entirely and use our %{qmake_qt4} macro to invoke qmake directly. (You can also pass qmake arguments that way, using the qmake FOO=bar syntax, rather than the configure-style --foo=bar.)

Comment 5 Brian Monroe 2015-05-11 14:44:29 UTC
Thanks Kevin, Things have been a little nuts with traveling the last 3 weekends, but I'm hopeful to get to this tonight.

Comment 6 Brian Monroe 2015-09-03 07:12:02 UTC
Finally got around to fixing this and I think we're good to go. Not using the .config wrapper and using the %{qmake_qt4} macro instead. Tested spec file and srpm against rpmlint. Currently, it's only throwing one warning about a misspelling, that is actually music/midi nomenclature (aftertouch). 

I reworked the spec file, and it's hosted in a better place: https://paradoxguitarist.fedorapeople.org/synthclone.spec


SRPM is available here: https://paradoxguitarist.fedorapeople.org/synthclone-0.3.0-3.fc22.src.rpm


Lastly, there's recent koji builds -
rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=10934762
f22: http://koji.fedoraproject.org/koji/taskinfo?taskID=10935120